-- description: Santa King skin for the King ReRemake - "/kskin santa" as King to enable\n\nalso functions as an example mod\n\nMOD BY:\nking the memer
-- name: |^| [KTMRR] Santa King

-- select sfx can be a vanilla sound or custom sample
-- life icons should be 16x16 preferably with a transparent background
-- regular and ball model required - spinball is optional

-- select sfx
SOUND_SANTA = SOUND_OBJ_KING_BOBOMB_TALK

-- life icon
TEX_SANTA = get_texture_info("santa")

-- models
E_MODEL_SANTA = smlua_model_util_get_id("santa_geo")
E_MODEL_SANTA_BALL = smlua_model_util_get_id("santa_ball_geo")
--E_MODEL_SANTA_SPINBALL = smlua_model_util_get_id("santa_spinball_geo")

-- skin
KSKIN_SANTA = {
    ["name"] = "Santa",
    ["desc"] = "its the real santa i swear",
    ["credit"] = "king the memer",
    ["icon"] = TEX_SANTA,
    ["pal"] = {
        [PANTS]  = {r = 201, g =   0, b =  36},
        [SHIRT]  = {r = 126, g = 103, b = 236},
        [GLOVES] = {r = 255, g = 255, b = 255},
        [SHOES]  = {r = 126, g = 103, b = 236},
        [HAIR]   = {r = 115, g =   6, b =   0},
        [SKIN]   = {r = 254, g = 193, b = 121},
        [CAP]    = {r = 201, g =   0, b =  36},
        [EMBLEM] = {r = 255, g = 255, b = 255}
    },

    ["model"] = {
        ["main"] = E_MODEL_SANTA,
        ["ball"] = E_MODEL_SANTA_BALL,
        --["spinball"] = E_MODEL_SANTA_SPINBALL
    },

    ["sfx"] = SOUND_SANTA
}

-- king's shitty api - creates "/kskin santa"
if gKingStates then
    add_king_kskin("santa", KSKIN_SANTA)
end